HTTPs Everywhere Crashing Firefox 8+

There is a known issue with the HTTPS Everywhere extension causing Firefox to crash. This bug was first reported in early August when Firefox 8 was still in the nightly build stage. From what I can see it appears that only Firefox 8 (now in Beta) and newer (9 Aurora and 10 Nightly) are affected by this. It does not appear to be affecting Firefox 7 or older. This is being caused by some changes in the core Firefox code with Firefox 8 in regards to URIs are assumed immutable in some parts of the Mozilla code, even though they technically aren’t. Changing URI instances mid-flight is the reason behind this crash. When Firefox 8 is released on November 8th, the developers of the HTTPs Everywhere add-on will also release an update (version 2.0) for their extension which will address and fix this issue.

Source: Mozilla Add-ons Blog

Leave a comment

Your email address will not be published.


*